Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum GenNavigatorReferenceType

    java.lang.Object
      java.lang.Enum<GenNavigatorReferenceType>
          org.eclipse.gmf.codegen.gmfgen.GenNavigatorReferenceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenNavigatorReferenceType>, org.eclipse.emf.common.util.Enumerator

    public enum GenNavigatorReferenceType

extends java.lang.Enum<GenNavigatorReferenceType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Gen Navigator Reference Type', and utility methods for working with them.

See Also:
  `GMFGenPackage.getGenNavigatorReferenceType()`
** Generated **
Model:

Enum Constant Summary
`CHILDREN_LITERAL` The 'Children' literal object
`IN_SOURCE_LITERAL` The 'In source' literal object
`OUT_TARGET_LITERAL` The 'Out target' literal object

Field Summary
`static int` `CHILDREN` The 'Children' literal value
`static int` `IN_SOURCE` The 'In source' literal value
`static int` `OUT_TARGET` The 'Out target' literal value
`static java.util.List<GenNavigatorReferenceType>` `VALUES` A public read-only list of all the 'Gen Navigator Reference Type' enumerators

Method Summary
`static GenNavigatorReferenceType` `get(int value)` Returns the 'Gen Navigator Reference Type' literal with the specified integer value
`static GenNavigatorReferenceType` `get(java.lang.String literal)` Returns the 'Gen Navigator Reference Type' literal with the specified literal value
`static GenNavigatorReferenceType` `getByName(java.lang.String name)` Returns the 'Gen Navigator Reference Type' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenNavigatorReferenceType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenNavigatorReferenceType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHILDREN_LITERAL

    public static final GenNavigatorReferenceType CHILDREN_LITERAL

  The 'Children' literal object.

  See Also:
    `CHILDREN`
  ** Generated **
  Ordered:

### OUT_TARGET_LITERAL

    public static final GenNavigatorReferenceType OUT_TARGET_LITERAL

  The 'Out target' literal object.

  See Also:
    `OUT_TARGET`
  ** Generated **
  Ordered:

### IN_SOURCE_LITERAL

    public static final GenNavigatorReferenceType IN_SOURCE_LITERAL

  The 'In source' literal object.

  See Also:
    `IN_SOURCE`
  ** Generated **
  Ordered:

Field Detail

### CHILDREN

    public static final int CHILDREN

  The 'Children' literal value.

  If the meaning of 'Children' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHILDREN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="children"

### OUT_TARGET

    public static final int OUT_TARGET

  The 'Out target' literal value.

  If the meaning of 'Out target' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OUT_TARGET_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="out_target"

### IN_SOURCE

    public static final int IN_SOURCE

  The 'In source' literal value.

  If the meaning of 'In source' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IN_SOURCE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="in_source"

### VALUES

    public static final java.util.List<GenNavigatorReferenceType> VALUES

  A public read-only list of all the 'Gen Navigator Reference Type' enumerators.

  ** Generated **

Method Detail

### values

    public static final GenNavigatorReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenNavigatorReferenceType c : GenNavigatorReferenceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenNavigatorReferenceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenNavigatorReferenceType get(java.lang.String literal)

  Returns the 'Gen Navigator Reference Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static GenNavigatorReferenceType getByName(java.lang.String name)

  Returns the 'Gen Navigator Reference Type' literal with the specified name.

  ** Generated **

### get

    public static GenNavigatorReferenceType get(int value)

  Returns the 'Gen Navigator Reference Type' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenNavigatorReferenceType>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.